Package org.apache.qpid.proton.engine

# Class TransportDecodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.qpid.proton.ProtonException
org.apache.qpid.proton.engine.TransportException
org.apache.qpid.proton.engine.TransportDecodeException

All Implemented Interfaces:
  `Serializable`

public class TransportDecodeException extends TransportException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`TransportDecodeException(String message, DecodeException cause)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TransportDecodeException

public TransportDecodeException(String message, DecodeException cause)